<template>
	<el-main class="tabsMain">
		<el-tabs tab-position="top" class="tabsPadding" v-model="tabsTrue" @tab-change="tabsChange">
			<el-tab-pane label="我的文档" name="document">
				<document v-if="tabsTrue == 'document'"></document>
			</el-tab-pane>

			<el-tab-pane label="团队共享" name="share">
				<share v-if="tabsTrue == 'share'"></share>
			</el-tab-pane>
		</el-tabs>
	</el-main>
</template>

<script>
import document from './document'
import share from './share'

export default {
	name: 'docsManager',
	components: {
		document,
		share
	},
	data() {
		return {
			size:'small',
			tabsTrue:'document',

			routerList: this.$store.state.global.docsRouter,
			shareList: this.$store.state.global.shareRouter,
		}
	},
	methods: {
		tabsChange(){
			let arrList = [{name:'我的文档',id:''}];
			this.$store.commit("SET_docs_router", arrList);
			this.$store.commit("SET_share_router", arrList);
		}
	}
}
</script>

<style lang="scss" scoped>

</style>
